#ifndef _GLUCAT_GLUCAT_IMP_H
#define _GLUCAT_GLUCAT_IMP_H
/***************************************************************************
    GluCat : Generic library of universal Clifford algebra templates
    glucat_imp.h : Organize GluCat template definitions which cannot be compiled separately
                             -------------------
    begin                : Sun 2001-12-25
    copyright            : (C) 2001-2012 by Paul C. Leopardi
 ***************************************************************************

    This library is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published
    by the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library.  If not, see <http://www.gnu.org/licenses/>.

 ***************************************************************************
 This library is based on a prototype written by Arvind Raja and was
 licensed under the LGPL with permission of the author. See Arvind Raja,
 "Object-oriented implementations of Clifford algebras in C++: a prototype",
 in Ablamowicz, Lounesto and Parra (eds.)
 "Clifford algebras with numeric and symbolic computations", Birkhauser, 1996.
 ***************************************************************************
     For Arvind Raja's original header comments, see glucat.h
 ***************************************************************************/

// Template definitions which cannot be compiled separately

#include "glucat/errors_imp.h"

#include "glucat/index_set_imp.h"

#include "glucat/scalar_imp.h"

#include "glucat/clifford_algebra_imp.h"

#include "glucat/random.h"

#include "glucat/framed_multi_imp.h"

#include "glucat/matrix_imp.h"

#include "glucat/generation_imp.h"

#include "glucat/matrix_multi_imp.h"

#endif  // _GLUCAT_GLUCAT_IMP_H
